/*
 * Class STRING_TO_INTEGER_CONVERTOR
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_454 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_454 [] = {0xFF01,1551,453,0xFFFF};
static const EIF_TYPE_INDEX egt_2_454 [] = {0xFF01,453,0xFFFF};
static const EIF_TYPE_INDEX egt_3_454 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_454 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_454 [] = {0xFF01,453,0xFFFF};
static const EIF_TYPE_INDEX egt_6_454 [] = {0xFF01,453,0xFFFF};
static const EIF_TYPE_INDEX egt_7_454 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_454 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_454 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_454 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_454 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_454 [] = {0xFF01,453,0xFFFF};
static const EIF_TYPE_INDEX egt_13_454 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_14_454 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_15_454 [] = {0xFF01,450,0xFFFF};
static const EIF_TYPE_INDEX egt_16_454 [] = {860,0xFFFF};
static const EIF_TYPE_INDEX egt_17_454 [] = {860,0xFFFF};


static const struct desc_info desc_454[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_454), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_454), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_454), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_454), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_454), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_454), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_454), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_454), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_454), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_454), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_454), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_454), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x038B /*453*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_454), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 7590, 48},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 7591, 24},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7592, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7593, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7594, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7595, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7596, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7597, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7598, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7599, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7600, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7601, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7602, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7603, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7604, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7605, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7606, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7607, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7608, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7609, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7610, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7611, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7612, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7619, 8},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7620, 9},
	{EIF_GENERIC(egt_13_454), 7621, 0},
	{EIF_GENERIC(egt_14_454), 7622, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7666, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7672, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7667, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7668, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7669, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7623, 12},
	{EIF_GENERIC(NULL), 7665, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7624, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7625, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7626, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7627, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7670, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7671, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7628, 16},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7629, 20},
	{EIF_GENERIC(NULL), 7664, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7673, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7674, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 7675, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06DD /*878*/), 7676, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7677, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7678, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 7654, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D7 /*875*/), 7655, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 7656, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 7657, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 7658, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 7659, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_454), 7660, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_454), 7661, 32},
	{EIF_GENERIC(egt_17_454), 7662, 40},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7663, 10},
};
void Init454(void)
{
	IDSC(desc_454, 0, 453);
	IDSC(desc_454 + 1, 1, 453);
	IDSC(desc_454 + 32, 134, 453);
	IDSC(desc_454 + 55, 1173, 453);
	IDSC(desc_454 + 74, 356, 453);
}


#ifdef __cplusplus
}
#endif
